CREATE TABLE bm_layout_model (
    ID                NUMBER(18, 0) ,
    LAYOUT_ID         NUMBER(18, 0)     NOT NULL,
    PARENT_ID         NUMBER(18, 0) ,
    LABEL             VARCHAR2(1020),
    VARIABLE_NAME     VARCHAR2(1020),
    DESCRIPTION       VARCHAR2(4000),
    MODEL_OBJ_TYPE    NUMBER(2, 0)  ,
    ORDER_NUMBER      NUMBER(5, 0)  ,
    DATE_ADDED        DATE              NOT NULL,
    DATE_MODIFIED     DATE              NOT NULL,
    GUID              VARCHAR2(1020)    NOT NULL,
    ID                NUMBER(18, 0) ,
    LAYOUT_ID         NUMBER(18, 0)     NOT NULL,
    PARENT_ID         NUMBER(18, 0) ,
    LABEL             VARCHAR2(1020),
    VARIABLE_NAME     VARCHAR2(1020),
    DESCRIPTION       VARCHAR2(4000),
    MODEL_OBJ_TYPE    NUMBER(2, 0)  ,
    ORDER_NUMBER      NUMBER(5, 0)  ,
    DATE_ADDED        DATE              NOT NULL,
    DATE_MODIFIED     DATE              NOT NULL,
    GUID              VARCHAR2(1020)    NOT NULL,
    CONSTRAINT pk_bm_layout_model PRIMARY KEY (ID, ID)
);
